'
' JustLDAP test script to test if a user account is locked out or not.
'
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName) i.e. User Login name
'
' Returns Boolean.
' True = User account is locked out.
' False = User account not locked out.
' 
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAP.Admin")

  Result = oLdap.IsUserLockedOut("newuser")
  

  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
    Wscript.Echo(Result)

  Else

    if Result = True then
      Wscript.Echo "User is locked out."
    else
      Wscript.Echo "User is not locked out."
    End If

  End If
 
Set oLdap = Nothing


