'
' JustLDAP test script to test the status of the "User must change password at next logon" flag
'
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName) i.e. User Login name
'                 
'
' Returns Boolean True of False  - True if this flag is set
'

Option Explicit

Dim oLdap, Result, Test

Set oLdap = CreateObject("JustLDAP.Admin")

  Result = oLdap.IsUserRequiredToChangePWAtNextLogon("bobuser")

  If oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
    Wscript.Echo(Result)
  Else

    If Result = True Then
      Result = "User must change password at next logon"  
    Else
      Result = "User not required to change password at next logon" 
    End If
  End If

  Wscript.Echo(Result)

Set oLdap = Nothing


