'
' JustLDAP test script to set the account control property "User cannot change password"
'
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName) i.e. User Login name
'                  - Selection (True or False)
'
' Returns Variant - Typically 0 - indicating success 
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAP.Admin")

  Result = oLdap.UserCannotChangePassword("bobuser", True) ' True sets this property

  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
  End If
 
  Wscript.Echo(Result)

Set oLdap = Nothing


