'
' JustLDAP test script for deleting an existing member user from a named group.
' Note: You do not need to specify the full Group distinguishedName path.
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - Group and UserID (sAMAccountName) i.e. User Login name
' Returns Variant - typically 0 (Integer) indicating success
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAP.Admin")

  Result = oLdap.DeleteUserFromGroup("International Sales", "bobuser")
 
  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
  End If
 
  Wscript.Echo Result

Set oLdap = Nothing


