'
' JustLDAP test script for setting the users account to never expire.
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName)
'
' Returns Variant - typically 0 (Integer) indicating success
'

Option Explicit

Dim oLdap, Result, ExpireDate

Set oLdap = CreateObject("JustLDAP.Admin")

  
  ExpireDate = 0

  Result = oLdap.SetAccountExpiryDate("bobuser", ExpireDate)
 
  If oLdap.ErrorOccurred() = True Then ' Error detected - convert to error message.
    Result = oLdap.GetLastErrorAsMessage()
  End If

  Wscript.Echo(Result)


Set oLdap = Nothing



